> For the complete documentation index, see [llms.txt](https://docs.stakedflip.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakedflip.fi/governance/operator-onboarding.md).

# Operator Onboarding

## Summary

StakedFLIP is working towards a distributed validator set which will ensure maximal resilience and performance for both stFLIP stakers and the Chainflip network as a whole. Operators should be selected based upon technical talent, reliability, and community contribution; however, stFLIP stakers are the ultimate decision makers.&#x20;

### Governance Process

1. A post will made to the [forum](https://forum.stakedflip.fi) outlining the background of the potential operator(s). Users should post their opinion on the operator. A temperature check vote will also be posted to [Snapshot](https://snapshot.org/#/stakedflip.eth). This is not an onchain vote thus it does not require gas. The purpose is to understand user's perspectives if they do not want to spend the time to write a response. This step ensures that both holders and the operators are aligned off-chain to avoid wasting gas on a costly onchain vote.
   1. The operator will sign and post their manager address responsible for adding validators and claiming fees, as well as the signed operator ToS.&#x20;
2. After rough consensus has been reached, the governance multi-sig will create a proposal to invoke the `addOperator` function on the Output contract. The calldata will include the operator's name,  number of allocated validators, and the reward fee. This will initiate an onchain vote.
3. Users can interact with the contract directly via `castVote` (on etherscan or elsewhere) or they can use the governance [frontend](https://stakedflip.fi/governance).&#x20;
4. The operator will invoke `addValidators` on the Output contract.&#x20;
5. Users should confirm that the redemption and executor addresses have been bound to the Output contract. This ensures all rewards and deposits can only go back to stFLIP holders.&#x20;
6. This governance process will repeat, but with the `setValidatorsStatus` function which will allowlist the validators to be staked to


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stakedflip.fi/governance/operator-onboarding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
